%define upstream_name Dist-Zilla-Plugin-BumpVersionAfterRelease
%define upstream_version 0.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Bump module versions after distribution release
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.40.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Path::Tiny) >= 0.61.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Version::Next)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
After a release, this module modifies your original source code to
replace an existing "our $VERSION = '1.23'" declaration with the next
number after the released version as determined by Version::Next. Only
the first occurrence is affected and it must exactly match this regular
expression:

    qr{^our \s+ \$VERSION \s* = \s* '$version::LAX'}mx

It must be at the start of a line and any trailing comments are deleted.
The original may have double-quotes, but the re-written line will have
single quotes.

The very restrictive regular expression format is intentional to avoid
the various ways finding a version assignment could go wrong and to
avoid using PPI, which has similar complexity issues.

For most modules, this should work just fine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
%__make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.18.0-5.mga10
+ Revision: 2218180
- Mageia 10 Mass Rebuild

* Wed Mar 29 2023 daviddavid <daviddavid> 0.18.0-4.mga9
+ Revision: 1950756
- fix testsuite building with -j1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.18.0-3.mga8
+ Revision: 1503929
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.18.0-2.mga7
+ Revision: 1282990
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 tv <tv> 0.18.0-1.mga7
+ Revision: 1221060
- update to 0.018

* Fri Dec 29 2017 tv <tv> 0.17.0-1.mga7
+ Revision: 1186943
- update to 0.017

* Thu Nov 30 2017 tv <tv> 0.16.0-1.mga7
+ Revision: 1180479
- update to 0.016

* Sun Jun 19 2016 pterjan <pterjan> 0.15.0-2.mga6
+ Revision: 1025832
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.15.0-1.mga6
+ Revision: 1007510
- update to 0.015

* Sun Mar 13 2016 shlomif <shlomif> 0.14.0-1.mga6
+ Revision: 989810
- update to 0.014

* Wed Feb 10 2016 shlomif <shlomif> 0.13.0-1.mga6
+ Revision: 953352
- update to 0.013

* Sun Aug 23 2015 sander85 <sander85> 0.12.0-1.mga6
+ Revision: 868371
- update to 0.012

* Tue Jun 23 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 840043
- update to 0.009

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 747632
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 633237
- imported package perl-Dist-Zilla-Plugin-BumpVersionAfterRelease

